extends Node2D


signal partie_perdue

const SceneBalle = preload("res://composants/objets/balle/balle.tscn")

## Quand il ne reste plus de balle, la partie est perdue !
@export_range(1, 10) var nombre_de_balles: int = 1


func _ready() -> void:
	lancer_balle()


func lancer_balle() -> void:
	if nombre_de_balles <= 0:
		partie_perdue.emit()
		return # on ne lance pas la balle

	nombre_de_balles -= 1
	var nouvelle_balle: Balle = SceneBalle.instantiate()
	add_child.call_deferred(nouvelle_balle) # Appeler plus tard sinon Godot pas content


func _quand_balle_detruite() -> void:
	lancer_balle()
